# CI images

CI images for use with gitlab.fi.muni.cz

## Provided images

- all images are under the `gitlab.fi.muni.cz:5050/xstill/ci-images` docker
  registry
- there is no `latest` tag, please depend on the particular version to help
  prevent silent changes in build due to image update

The following images are currently available (see the corresponding `Dockerfile` for details):

- `base` -- a minimal environment with `git`, `curl`, `wget` and some other
  utils.
  Has specified locale and timezone and set `DEBIAN_FRONTEND=noninteractive`.
  Used primarily as basis for the other images.

- `haskell-base` -- contains multiple versions of GHC and a reasonably new
  `cabal`.
  The path is set so that no-suffix binaries (e.g. `ghc`, `cabal`) point to the
  newest version and there are also versioned binaries available (for the
  versions see the Dockerfile).

- `texlive` -- a more-or-less complete TeX Live from the time the image was built
  (TeX Live netinstall has poor support for specifying version so it is just the newest).

- `haskell-ib015` -- Haskell image for the IB015 (and IB016) courses.
  Builds on `haskell-base` and `texlive` + has some additional packages.
