ARG DEBIAN_VERSION=latest
ARG TAG=latest
ARG PREFIX=
FROM docker.io/debian:${DEBIAN_VERSION} as base

ENV LANG            C.UTF-8
ENV DEBIAN_FRONTEND noninteractive

RUN apt-get update && \
    apt-get install -y --no-install-recommends \
        gnupg ca-certificates dirmngr curl git apt-utils \
        zlib1g-dev libtinfo-dev libsqlite3-dev netbase xz-utils make locales wget \
        python-is-python3 parallel

RUN echo "Europe/Prague" > /etc/timezone && \
    unlink /etc/localtime && \
    dpkg-reconfigure tzdata && \
    echo "cs_CZ.UTF-8 UTF-8" >> /etc/locale.gen && \
    echo "sk_SK.UTF-8 UTF-8" >> /etc/locale.gen && \
    echo "en_US.UTF-8 UTF-8" >> /etc/locale.gen && \
    echo "en_DK.UTF-8 UTF-8" >> /etc/locale.gen && \
    dpkg-reconfigure locales && \
    update-locale LANG=en_US.UTF-8

ENV LANG en_US.UTF-8

COPY ext/ciutils/makefilter /usr/local/bin/makefilter

CMD ["bash"]
