ARG DEBIAN_VERSION=latest
ARG TAG=latest
ARG PREFIX=
FROM ${PREFIX}base:${TAG} as haskell-base

ENV CABAL_VERSION=3.6
ENV GHC_92_VERSION=9.2.4

RUN echo 'deb http://downloads.haskell.org/debian bullseye main' > /etc/apt/sources.list.d/ghc.list \
    && apt-key adv --keyserver keyserver.ubuntu.com --recv-keys BA3CBA3FFE22B574 \
    && apt-get update \
    && apt-get install -y --no-install-recommends \
          ghc-8.4.4 ghc-8.6.5 ghc-8.8.4 ghc-8.10.4 ghc-9.0.1 cabal-install-${CABAL_VERSION} \
	  hlint

# GHC 9.2 is not in the packages :-/
RUN mkdir /tmp/GHC-${GHC_92_VERSION} \
    cd /tmp/ghc-${GHC_92_VERSION} \
    && wget https://downloads.haskell.org/~ghc/${GHC_92_VERSION}/ghc-${GHC_92_VERSION}-x86_64-deb10-linux.tar.xz \
    && tar xaf ghc-${GHC_92_VERSION}*.tar.xz \
    && cd ghc-${GHC_92_VERSION} \
    && ./configure --prefix=/opt/ghc/${GHC_92_VERSION} \
    && make install \
    && cd / \
    && rm -rf /tmp/ghc-9.2 \
    && update-alternatives --install /opt/ghc/bin/ghc opt-ghc /opt/ghc/${GHC_92_VERSION}/bin/ghc-${GHC_92_VERSION} $(echo ${GHC_92_VERSION} | sed 's/[.]/0/g') \
    --slave /opt/ghc/bin/ghci opt-ghci /opt/ghc/${GHC_92_VERSION}/bin/ghci-${GHC_92_VERSION} \
    --slave /opt/ghc/bin/runghc opt-runghc /opt/ghc/${GHC_92_VERSION}/bin/runghc-${GHC_92_VERSION} \
    --slave /opt/ghc/bin/ghc-pkg opt-ghc-pkg /opt/ghc/${GHC_92_VERSION}/bin/ghc-pkg-${GHC_92_VERSION} \
    --slave /opt/ghc/bin/haddock opt-haddock /opt/ghc/${GHC_92_VERSION}/bin/haddock-ghc-${GHC_92_VERSION}

ENV PATH /root/.cabal/bin:/root/.local/bin:/opt/ghc/bin:$PATH

# update cabal here so that the package list is present in the image
RUN cabal v2-update

# validate
RUN ghc --version && ghci --version && cabal --version

CMD ["bash"]
