ARG DEBIAN_VERSION=latest
ARG TAG=latest
ARG PREFIX=
# the `COPY --from` cannot use variables so name it here
FROM ${PREFIX}texlive:${TAG} as texlive
FROM ${PREFIX}haskell-base:${TAG} as haskell-ib015


# here we also need TeXLive
COPY --from=texlive /opt/texlive /opt/texlive
ENV PATH /opt/texlive/bin/x86_64-linux:$PATH
ENV MANPATH /opt/texlive/texmf-dist/doc/man:$MANPATH
ENV INFOPATH /opt/texlive/texmf-dist/doc/info:$INFOPATH
RUN pdflatex --version && lualatex --version && context --version && latexmk --version

RUN apt-get install -y --no-install-recommends \
    g++-10

# install dependencies for Haskell study materials
RUN cabal v2-install pandoc
RUN parallel "cabal v2-install --lib --with-ghc {} HUnit QuickCheck deepseq random printf-mauke aeson data-default-class text" \
    :::  ghc-8.4.4 ghc-8.6.5 ghc-8.8.4 ghc-8.10.4 ghc-9.0.1 ghc

RUN apt-get install -y --no-install-recommends \
        fonts-lmodern pandoc-citeproc \
         zip swi-prolog graphviz inkscape \
         python3-pkg-resources python3-yaml python3-pip python3-setuptools \
         python3-pygments rsync ssh ca-certificates \
         libicu-dev libpoppler-glib-dev

RUN pip3 install flake8 pylint pycodestyle mypy mypy-extensions pytest hypothesis
RUN pytest --version && mypy --version && flake8 --version

CMD ["bash"]
