ARG DEBIAN_VERSION=latest
ARG TAG=latest
ARG PREFIX=
FROM ${PREFIX}base:${TAG} as texlive

RUN apt-get install -y --no-install-recommends \
        fonts-lmodern rubber graphviz inkscape dot2tex \
        python3-pkg-resources python3-pygments

# New TeX Live
COPY texlive.profile /root/texlive.profile
RUN cd /root && \
    wget http://mirror.ctan.org/systems/texlive/tlnet/install-tl-unx.tar.gz && \
    tar xaf install-tl-unx.tar.gz && \
    cd install-tl-* && \
    ./install-tl --profile=/root/texlive.profile && \
    rm /opt/texlive/install-tl.log && \
    cd /root && \
    rm install-tl-* -rf 

ENV PATH /opt/texlive/bin/x86_64-linux:$PATH
ENV MANPATH /opt/texlive/texmf-dist/doc/man:$MANPATH
ENV INFOPATH /opt/texlive/texmf-dist/doc/info:$INFOPATH
RUN pdflatex --version && lualatex --version && context --version && latexmk --version

CMD ["bash"]
